org.apache.ignite.internal.visor.query

## Class VisorQueryIndexField

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorQueryIndexField

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorQueryIndexField
    extends VisorDataTransferObject

Data transfer object for `QueryEntity`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryIndexField()` Create data transfer object for given cache type metadata.
`VisorQueryIndexField(String name, boolean sort)` Create data transfer object for index field.

### Method Summary

Methods
`String` `getName()`
`boolean` `getSortOrder()`
`static List<VisorQueryIndexField>` `list(QueryIndex idx)`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryIndexField

    public VisorQueryIndexField()

Create data transfer object for given cache type metadata.

#### VisorQueryIndexField

    public VisorQueryIndexField(String name,
                        boolean sort)

Create data transfer object for index field.

Parameters:
  `name` - Index field name.
  `sort` - Index field sort order.

### Method Detail

#### list

    public static List<VisorQueryIndexField> list(QueryIndex idx)

Parameters:
  `idx` - Query entity index.
Returns:
  Data transfer object for query entity index fields.

#### getName

    public String getName()

Returns:
  Index field name.

#### getSortOrder

    public boolean getSortOrder()

Returns:
  Index field sort order.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017